Package com.orbbec.obsensor.datatype

## Class DeviceTemperature

- java.lang.Object
- - com.orbbec.obsensor.DataType
  - - com.orbbec.obsensor.datatype.DeviceTemperature

    public class DeviceTemperature
    extends DataType

Device temperature information

### Constructor Summary

Constructors
`DeviceTemperature()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `BYTES()` Get the number of bytes occupied by the Native structure
`float` `getChipBottomTemp()` Get bottom temperature of MX6600 chip.
`float` `getChipTopTemp()` Get top temperature of MX6600 chip.
`float` `getCpuTemp()` Get CPU temperature, unit: Celsius
`float` `getImuTemp()` Get IMU sensor temperature, unit: Celsius
`float` `getIrLeftTemp()` Get temperature of Left IR, unit: degree Celsius
`float` `getIrRightTemp()` Get temperature of Right IR, unit: degree Celsius
`float` `getIrTemp()` Get IR sensor temperature, unit: Celsius
`float` `getLdmTemp()` Get the temperature of the laser module, unit: Celsius
`float` `getMainBoardTemp()` Get the motherboard temperature, unit: Celsius
`float` `getRgbTemp()` Get RGB sensor temperature, unit: Celsius
`float` `getTecTemp()` Get the TEC temperature in degrees Celsius
`protected boolean` `parseBytesImpl​(byte[] bytes)` Specific class implementation parsing, pay attention to the internal order and length of the structure
`java.lang.String` `toString()`
`protected boolean` `wrapBytesImpl​(byte[] bytes)` Specific class attribute encapsulation, pay attention to the internal order and length of the structure

### Methods inherited from class com.orbbec.obsensor.DataType

`checkInitialized, getBytes, parseBytes, throwInitializeException, wrapBytes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DeviceTemperature

    public DeviceTemperature()

### Method Detail

#### getCpuTemp

    public float getCpuTemp()

Get CPU temperature, unit: Celsius

Returns:
  CPU temperature

#### getIrTemp

    public float getIrTemp()

Get IR sensor temperature, unit: Celsius

Returns:
  IR sensor temperature

#### getLdmTemp

    public float getLdmTemp()

Get the temperature of the laser module, unit: Celsius

Returns:
  Laser module temperature

#### getMainBoardTemp

    public float getMainBoardTemp()

Get the motherboard temperature, unit: Celsius

Returns:
  motherboard temperature

#### getTecTemp

    public float getTecTemp()

Get the TEC temperature in degrees Celsius

Returns:
  TEC temperature

#### getImuTemp

    public float getImuTemp()

Get IMU sensor temperature, unit: Celsius

Returns:
  IMU sensor temperature

#### getRgbTemp

    public float getRgbTemp()

Get RGB sensor temperature, unit: Celsius

Returns:
  RGB sensor temperature

#### getIrLeftTemp

    public float getIrLeftTemp()

Get temperature of Left IR, unit: degree Celsius

Returns:
  Left IR sensor temperature

#### getIrRightTemp

    public float getIrRightTemp()

Get temperature of Right IR, unit: degree Celsius

Returns:
  Right IR sensor temperature

#### getChipTopTemp

    public float getChipTopTemp()

Get top temperature of MX6600 chip. unit: degree Celsius

Returns:
  top temperature of MX6600 chip.

#### getChipBottomTemp

    public float getChipBottomTemp()

Get bottom temperature of MX6600 chip. unit: degree Celsius.

Returns:
  bottom temperature of MX6600 chip.

#### BYTES

    public int BYTES()

Description copied from class: `DataType`
Get the number of bytes occupied by the Native structure

Specified by:
  `BYTES` in class `DataType`
Returns:
  The number of bytes occupied by the Native structure

#### parseBytesImpl

    protected boolean parseBytesImpl​(byte[] bytes)

Description copied from class: `DataType`
Specific class implementation parsing, pay attention to the internal order and length of the structure

Specified by:
  `parseBytesImpl` in class `DataType`
Parameters:
  `bytes` - byte array to be parsed
Returns:
  Parsing result, false: parsing failed, true: parsing succeeded

#### wrapBytesImpl

    protected boolean wrapBytesImpl​(byte[] bytes)

Description copied from class: `DataType`
Specific class attribute encapsulation, pay attention to the internal order and length of the structure

Specified by:
  `wrapBytesImpl` in class `DataType`
Parameters:
  `bytes` - The generated byte array to be encapsulated
Returns:
  Encapsulation result, false: Encapsulation failed, true: Encapsulation succeeded

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`